---
title: Updates the Zero Trust Connectivity Settings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Zero Trust](https://developers.cloudflare.com/api/go/resources/zero_trust)

[Connectivity Settings](https://developers.cloudflare.com/api/go/resources/zero_trust/subresources/connectivity_settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Updates the Zero Trust Connectivity Settings

client.ZeroTrust.ConnectivitySettings.Edit(ctx, params) (\*[ConnectivitySettingEditResponse](<https://developers.cloudflare.com/api/go/resources/zero_trust#(resource)%20zero_trust.connectivity_settings%20%3E%20(model)%20ConnectivitySettingEditResponse%20%3E%20(schema)>), error)

PATCH/accounts/{account\_id}/zerotrust/connectivity\_settings

Updates the Zero Trust Connectivity Settings for the given account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zero Trust Write`

##### ParametersExpand Collapse

<details>

<summary>

params ConnectivitySettingEditParams

</summary>

AccountID param.Field\[string]

Path param: Cloudflare account ID

maxLength32

<a href="#(resource)%20zero_trust.connectivity_settings%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

IcmpProxyEnabled param.Field\[bool]Optional

Body param: A flag to enable the ICMP proxy for the account network.

<a href="#(resource)%20zero_trust.connectivity_settings%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20icmp_proxy_enabled">Link to this property</a>

OfframpWARPEnabled param.Field\[bool]Optional

Body param: A flag to enable WARP to WARP traffic.

<a href="#(resource)%20zero_trust.connectivity_settings%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20offramp_warp_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.connectivity_settings%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ConnectivitySettingEditResponse struct{…}

</summary>

IcmpProxyEnabled boolOptional

A flag to enable the ICMP proxy for the account network.

<a href="#(resource)%20zero_trust.connectivity_settings%20%3E%20(model)%20ConnectivitySettingEditResponse%20%3E%20(schema)%20%3E%20(property)%20icmp_proxy_enabled">Link to this property</a>

OfframpWARPEnabled boolOptional

A flag to enable WARP to WARP traffic.

<a href="#(resource)%20zero_trust.connectivity_settings%20%3E%20(model)%20ConnectivitySettingEditResponse%20%3E%20(schema)%20%3E%20(property)%20offramp_warp_enabled">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zero_trust.connectivity_settings%20%3E%20(model)%20ConnectivitySettingEditResponse%20%3E%20(schema)>)

### Updates the Zero Trust Connectivity Settings

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.ZeroTrust.ConnectivitySettings.Edit(context.TODO(), zero_trust.ConnectivitySettingEditParams{
    AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.IcmpProxyEnabled)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "icmp_proxy_enabled": true,
    "offramp_warp_enabled": true
  },
  "success": true
}
```